<?php
/* Autor...:  */
/* Esquema.: VTA_OrdenTipoArchivo.xml */
/* Generado: 2021-03-04 17:43:48 */

/* Metodos de acceso a los campos de la tabla VTA_OrdenTipoArchivo */
abstract class BaseVTA_OrdenTipoArchivoBN
{
    /* Campos de la tabla */
    private $i_TipoId;    // TipoId: ( no definido )
    private $s_Descripcion;    // Descripcion: ( no definido )
    private $s_Secuencia;    // Secuencia: ( no definido )
    private $i_FlagValidacion;    // FlagValidacion: ( no definido )
    private $s_Estado;    // Estado: ( no definido )

    /* Establece el valor del campo TipoId */
    public function setTipoId( $i_TipoId )
    {
        $this->i_TipoId = $i_TipoId;
    }

    /* Obtiene el valor del campo TipoId */
    public function getTipoId()
    {
        return $this->i_TipoId;
    }

    /* Establece el valor del campo Descripcion */
    public function setDescripcion( $s_Descripcion )
    {
        $this->s_Descripcion = $s_Descripcion;
    }

    /* Obtiene el valor del campo Descripcion */
    public function getDescripcion()
    {
        return $this->s_Descripcion;
    }

    /* Establece el valor del campo Secuencia */
    public function setSecuencia( $s_Secuencia )
    {
        $this->s_Secuencia = $s_Secuencia;
    }

    /* Obtiene el valor del campo Secuencia */
    public function getSecuencia()
    {
        return $this->s_Secuencia;
    }

    /* Establece el valor del campo FlagValidacion */
    public function setFlagValidacion( $i_FlagValidacion )
    {
        $this->i_FlagValidacion = $i_FlagValidacion;
    }

    /* Obtiene el valor del campo FlagValidacion */
    public function getFlagValidacion()
    {
        return $this->i_FlagValidacion;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'TipoId' => $this->getTipoId(),
            'Descripcion' => $this->getDescripcion(),
            'Secuencia' => $this->getSecuencia(),
            'FlagValidacion' => $this->getFlagValidacion(),
            'Estado' => $this->getEstado(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto VTA_OrdenTipoArchivoBN desde un RecordSet */
    public static function retrieveByRs( $o_VTA_OrdenTipoArchivoRs )
    {
        $o_VTA_OrdenTipoArchivoBN = new VTA_OrdenTipoArchivoBN();
        $o_VTA_OrdenTipoArchivoBN->setTipoId( ( integer ) $o_VTA_OrdenTipoArchivoRs[ "TipoId" ] );
        $o_VTA_OrdenTipoArchivoBN->setDescripcion( $o_VTA_OrdenTipoArchivoRs[ "Descripcion" ] );
        $o_VTA_OrdenTipoArchivoBN->setSecuencia( $o_VTA_OrdenTipoArchivoRs[ "Secuencia" ] );
        $o_VTA_OrdenTipoArchivoBN->setFlagValidacion( ( integer ) $o_VTA_OrdenTipoArchivoRs[ "FlagValidacion" ] );
        $o_VTA_OrdenTipoArchivoBN->setEstado( $o_VTA_OrdenTipoArchivoRs[ "Estado" ] );
        return $o_VTA_OrdenTipoArchivoBN;
    }
}
?>